Reply
Solved! Go to solution

API for multi-body functionalities

I would like to automate multi-body functionalities with Solid Edge API in VB.net.


I found some command ID but not their VB names :
     - Command ID for “Toggle design/construction”: 11 063
     - Command ID for “Multi-body publish”: 11 060
     - Command ID for “Activate body”: 11 011


Is there any API for multi-body functionalities ?
Thanks !

2 REPLIES
Solution
Solution
Accepted by topic author AFiger
‎08-31-2015 10:19 AM

Re: API for multi-body functionalities

I am not sure, if you have already found what you were looking for, but here it is:

 

There is a PartDocument.Constructions.ToggleToConstructions and a PartDocument.Models.ToggleToDesigns collection where you can add a new TogglToXXX object using the Add() methods and passing in either an array of design or construction bodies.

 

On the PartDocument, there exists the SaveMultiBodyPublish method.

 

Each ConstructionModel and Model instance have the ActivateBody() method to activate this specific body.

Re: API for multi-body functionalities

Yeah, after some research, I finally found the solution.

 

Thanks for your answer !